Docs

Get

GET /resourceTypes

GET/resourceTypes

Returns every resource type on the event with its sections, placed attributes, rate cards and, for a composite, its components. Use Resources_GetResourceType for one type. The type ids other operations ask for come from here.

Response

Type: GetResourceTypesResponse[]

GetResourceTypesResponse

FieldTypeDescription
iduuid
typestring| null
namestring| null
iconstring| null
colorstring| null
labelstring| null
trackingTypestring| null
defaultOwneruuid| null
categoryGetResourceTypesResponseCat
isDockableboolean
isScheduledboolean
hasProviderboolean
hasPayorboolean
lineItemLabelstring| null
lineItemBodyuuid[]| null
sectionsGetResourceTypesResponseSection[]| null
defaultRateCardIduuid| null
rateCardsGetOwnedRateCardResponse[]| null
componentsResourceComponentResponse[]| null
defaultRuleSetIdsuuid[]| null
orgCorrelationIduuid| null

GetResourceTypesResponseCat

FieldTypeDescription
iduuid
namestring| null
iconstring| null
colorstring| null

GetResourceTypesResponseSection

FieldTypeDescription
iduuid
namestring| null
indexinteger
attributesGetResourceTypesResponsePlacement[]| null

GetOwnedRateCardResponse

FieldTypeDescription
iduuid
namestring| null
usageGetOwnedRateCardResponseUsageInfo

ResourceComponentResponse

FieldTypeDescription
iduuid
labelstring| null
targetResourceTypeIduuid
targetResourceTypeNamestring| null
targetResourceVariantIduuid| null
targetResourceVariantNamestring| null
quantityinteger
indexinteger

GetResourceTypesResponsePlacement

FieldTypeDescription
resourceAttributeIduuid
attributeGetResourceTypesResponsePlacedAttribute
isRequiredboolean
pricingRolestring| null
useCasesstring[]| null
indexinteger
modifiersGetResourceTypesResponsePropertyModifier[]| null

GetOwnedRateCardResponseUsageInfo

FieldTypeDescription
variantsinteger
resourcesinteger
needsinteger
reservationsinteger
fulfillmentItemsinteger